> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1balance balance



## OpenAPI

````yaml /api-reference/openapi.json get /v1/balance/{bankAccountId}/balance
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/balance/{bankAccountId}/balance:
    get:
      tags:
        - BankBalance
      parameters:
        - name: bankAccountId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DTOBankBalanceResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/DTOBankBalanceResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/DTOBankBalanceResponse'
        '401':
          description: Unauthorized
components:
  schemas:
    DTOBankBalanceResponse:
      type: object
      properties:
        current:
          type: number
          format: double
        currencyCode:
          type: string
          nullable: true
        limit:
          type: number
          format: double
        available:
          type: number
          format: double
      additionalProperties: false

````